!----------------- BEGIN CRUSTAL_AMPS_INTERPOLATE_FUNCTION -----------------------------
      function crustal_amps_interpolate_function(f, namps, famp, amp, 
     :                                          interp_type)

! Dates: 06/07/95 - Written by D.M. Boore
!        02/10/15 - Add option to select type of interpolation
!                   Type of interpolation:
!                     inter_type = 1: linear f, linear a
!                     inter_type = 2: linear f, log    a
!                     inter_type = 3: log    f, linear a
!                     inter_type = 4: log    f, log    a
!        04/15/17 - Made it a subroutine and changed name from crustal_amp_factor


      real famp(*), amp(*), crustal_amps_interpolate_function, slope
      
      if ( f .le. famp(1) ) then
        crustal_amps_interpolate_function = amp(1)
      else if ( f .ge. famp(namps) ) then
        crustal_amps_interpolate_function = amp(namps)
      else
        call locate( famp, namps, f, j)
        SELECT CASE (interp_type)
          CASE(1) ! linear f, linear A
            slope = (amp(j+1)-amp(j))/(famp(j+1)-famp(j))
            crustal_amps_interpolate_function = amp(j) + 
     :                                         slope * (f - famp(j))
          CASE(2) ! linear f, log A
            slope = alog10(amp(j+1)/amp(j))/(famp(j+1)-famp(j))
            crustal_amps_interpolate_function = 
     :                             amp(j)*10.0**(slope*(f - famp(j)))
          CASE(3) ! log f, linear A
            slope = (amp(j+1)-amp(j))/alog10(famp(j+1)/famp(j))
            crustal_amps_interpolate_function = amp(j) + 
     :                                      slope * alog10(f/famp(j))
          CASE(4) ! log f, log A
            slope = alog10(amp(j+1)/amp(j))/alog10(famp(j+1)/famp(j))
            crustal_amps_interpolate_function = 
     :                                      amp(j)*(f/famp(j))**slope
        END SELECT
      end if

      return
      end
!----------------- END CRUSTAL_AMPS_INTERPOLATE_FUNCTION -----------------------------

